Subject: Re: Followup: Yggdrasil Pressure on the LDP
From: Vince Skahan <[email-masked]>
To: Linux Documentation Project writers <[email-masked]>
Date: Wed, 12 Jul 1995 18:40:48 -0700 (PDT)

(Matt Welsh writes:)
> 
> I finally had a chance to speak with Adam Richter today, and some other
> people have spoken with him or exchanged e-mail. I think that we have
> had a serious misunderstanding here, and while I won't reiterate all sides
> of the story I think that we should be able to resolve this problem in 
> a way that works for all of us.
> 
> The executive summary is that a few people have spoken with Adam and
> talked about changing the licenses for their books; I'm trying to find
> a solution for the I&GS that will make everyone happy. (I'm primarily
> concerned about protecting the editorial content of that book.) 
> 
> I agree that "free" docs in the GNU sense can be a good thing, but as
> with anything it's a tradeoff. I wanted a few months ago to change
> the I&GS license over, but never resolved the above issues. Hopefully
> we can move forward with that now.
> 

Matt, we're in a little too much 'stealth mode' for my taste.

Gentlemen, we seem to have a situation here where blood pressure and
hearsay are overcoming certain facts that exist, but appear to not
be universally known.  This has occurred two or three times to my
recollection.  Lets clear up the misconceptions and get to one
globally known story if we can spare the time.

Can somebody please give us all the 'authoritative' situation:

	- with the LDP 'license'.  My assumption from the past
		is that there's nothing stopping any LDP author
		from coming up with any terms they personally
		want, as long as the text is made freely available
		for use (not necessarily editing) by users
		and perhaps also folks who 'reprint for money'
		as products.  I thought the goal was for the authors
		to have maximum leeway to make the call that's right
		for them and also to maximize the availability
		of high-quality up-to-date Linux docs.
		Greg...Matt...is this correct and complete ?  
		
	- with the Yggdrasil retroactive (?) change in contributions
		to the LDP project and authors.  It seems to me
		that the LDP payment mentioned in Adam's posting
		to c.o.l.a. looks like our payment for *past*
		versions of the LDP docs that Yggdrasil published
		are being held hostage by an effort by Adam to
		force a change in our licensing/copyright terms.
		Adam...please explain if this is true and isn't
		there a way that we can push such a change off
		to future versions of Linux Bible  and all go
		into the next version with open eyes ?

	- with potential merging of LDP docs into Yggdrasil
		products.  It seems that Adam has fear that
		'the rug will be pulled out from under'
		some documentation potentially in the future.
		What exactly is the concern here and why
		can't it be negotiated some how without us
		making our docs 'totally free' in the GNU sense?
		
	- with potential use of LDP docs for the GNU projects.  I perceive
		that the FSF has the same 'totally free and alterable' (my
		words) position on documentation that it has on software.  Is
		this true ? Are there plans to potentially use LDP docs for a
		'more than Linux' goal ?  If so, what's stopping this from
		happening ?

Adam sent me the following in e-mail that he said was ok to post
I have a question at the end about this since it's not certain
which 'we' you are referring to in the following...
 
[...Adam - bear with me not quoting the whole thing.  If you want 
me to do so, please let me know and I'll do it if you think the
whole thing needs to be posted to show the context...]

		[...my (Vince's) words in [] for brevity...]

		"We are trying to increase the pool of free content
		(software, docs, etc.) that can be used to produce more free
		content.  We don't have immediate plans to do things with
		every single LDP document, but I can give you some
		illustrative real examples...[examples deleted]... but we
		aren't going to produce these sorts of things if someone has
		that kind of power [to] pull the plug [on future versions] at
		any time in the future.  The situation gets much worse when
		you talk about combining things from all over the LDP docs.
		Now it is possible to negotiate separate deals for everything
		that we would want to use, but these specific examples are
		just that:  examples....]"

Ok, here are my questions:

	- who is the 'we' in the above ?  Yggdrasil, FSF, LDP, some
		combination ?  I think it's "Yggdrasil only".  Adam ?

	- it seems from reading the above that it is possible to interpret
		those words to say that Yggdrasil doesn't want to develop
		commercial products that could hypothetically be
		prevented from being updated at the author's whim.
		Sounds like a realistic fear to a publisher.

		From the author's perspective, I'd say "yep...that's
		possible if the author isn't a happy 'supplier'..."

		From the publisher's perspective, I'd be thinking about
		negotiating terms and having a contract to prevent that
		from happening.

		From the 'free software/documentation' perspective,
		I'd be wondering how Adam's words above fit in with the
		idea of Free Documentation that somebody could pick up
		work on and reuse/enhance/update/alter no matter what
		happened to stop such work from being done and being
		freely available.   They don't seem to match by default.

		My question is 'what does Yggdrasil really want here' ?
		Seems to me the '75% goes to FSF if they keep copyright'
		could be perceived as a bit of smoke to get the risk 
		gone without having to negotiate terms with the author(s)
		to ensure that commercial offerings don't get 
		out-of-date as Linux continues to evolve rapidly. 

		Isn't that why publishers contract with authors ?

We need a commonly agreed upon solution that is commonly known
and above-board.  How about the following as a draft offering ?

	- payment for the past printings of LDP stuff are under the
		same terms as before.

	- LDP and Yggdrasil agree on what the terms are for the new
		version. (LDP might not 'like' them, but lets get them
		above board before the fact).

	- products with specific 'protect the publisher from
		lack of future updates' needs seem to need an agreement
		with the particular authors if the publisher is
		so concerned.  At that time, the author could
		either open the terms sufficiently or reach some
		other agreement mutually acceptable.

	- if there are FSF goals to use LDP stuff in a future GNU
		documentation project, we address that one
		as a separate item (in the open) rather than mixing
		the FSF goal of 'freely available and alterable'
		(my words) with  commercial vendors perhaps  with
		different and conflicting goals.  If such FSF goals 
		exist, we certainly need to know that to at 
		least factor that 'potential' into our decisions.
		A blanket "free = good...please be good" doesn't
		let us know if thinking about it in this case
		is worth the effort at this time, no matter how 
		much some folks believe it as 'the best goal'.